package com.aclr.management.person;

import org.opencms.i18n.A_CmsMessageBundle;
import org.opencms.i18n.I_CmsMessageBundle;

import com.aclr.management.person.Messages;

/**
 * Clase que se usará para extraer los textos del fichero messages.properties.
 * 
 */
public final class Messages extends A_CmsMessageBundle {
    
    /**
     * Nombre del recurso que contendrá los mensajes del modulo.
     */
    private static final String BUNDLE_NAME = "com.aclr.management.person.messages";

    /**
     * Instancia del recurso.
     */
    private static final I_CmsMessageBundle INSTANCE = new Messages();
    
    /**
     * Cadenas del modulo de administracion.
     */
    public static final String EVENT_TYPE_DESCRIPTION = "EVENT_TYPE_DESCRIPTION";
    public static final String EVENT_TYPE_NAVINFO = "EVENT_TYPE_NAVINFO";
    public static final String EVENT_TYPE_NAVTEXT_TEXT_MAIN = "EVENT_TYPE_NAVTEXT_TEXT_MAIN";
    public static final String EVENT_TYPE_NAVTEXT_TEXT_TOOLTIP = "EVENT_TYPE_NAVTEXT_TEXT_TOOLTIP";
    public static final String EVENT_TYPE_EDIT_DESCRIPTION = "EVENT_TYPE_EDIT_DESCRIPTION";
    public static final String EVENT_TYPE_EDIT_NAVINFO = "EVENT_TYPE_EDIT_NAVINFO";
    public static final String EVENT_TYPE_EDIT_NAVTEXT_TEXT_MAIN = "EVENT_TYPE_EDIT_NAVTEXT_TEXT_MAIN";
    public static final String EVENT_TYPE_NEW_DESCRIPTION = "EVENT_TYPE_NEW_DESCRIPTION";
    public static final String EVENT_TYPE_NEW_NAVINFO = "EVENT_TYPE_NEW_NAVINFO";
    public static final String EVENT_TYPE_NEW_NAVTEXT_TEXT_MAIN = "EVENT_TYPE_NEW_NAVTEXT_TEXT_MAIN";
    public static final String EVENT_TYPE_ERROR_NAME = "EVENT_TYPE_ERROR_NAME";
    public static final String PERSON_LIST_DIALOG = "PERSON_LIST_DIALOG";
    public static final String PERSON_LIST_EDIT_COLUMN_NAME = "PERSON_LIST_EDIT_COLUMN_NAME";
    public static final String PERSON_LIST_EDIT_COLUMN_HELP = "PERSON_LIST_EDIT_COLUMN_HELP";
    public static final String PERSON_LIST_EDIT_COLUMN_WIDTH = "PERSON_LIST_EDIT_COLUMN_WIDTH";
    public static final String PERSON_LIST_EDIT_ACTION_NAME = "PERSON_LIST_EDIT_ACTION_NAME";
    public static final String PERSON_LIST_EDIT_ACTION_HELP = "PERSON_LIST_EDIT_ACTION_HELP";
    public static final String PERSON_LIST_EDIT_ACTION_ICON_PATH = "PERSON_LIST_EDIT_ACTION_ICON_PATH";
    public static final String PERSON_LIST_REMOVE_COLUMN_NAME = "PERSON_LIST_REMOVE_COLUMN_NAME";
    public static final String PERSON_LIST_REMOVE_COLUMN_HELP = "PERSON_LIST_REMOVE_COLUMN_HELP";
    public static final String PERSON_LIST_REMOVE_COLUMN_WIDTH = "PERSON_LIST_REMOVE_COLUMN_WIDTH";
    public static final String PERSON_LIST_REMOVE_ACTION_NAME = "PERSON_LIST_REMOVE_ACTION_NAME";
    public static final String PERSON_LIST_REMOVE_ACTION_HELP = "PERSON_LIST_REMOVE_ACTION_HELP";
    public static final String PERSON_LIST_REMOVE_ACTION_ICON_PATH = "PERSON_LIST_REMOVE_ACTION_ICON_PATH";
    public static final String PERSON_LIST_NAME_COLUMN_NAME = "PERSON_LIST_NAME_COLUMN_NAME";
    public static final String PERSON_LIST_NAME_COLUMN_HELP = "PERSON_LIST_NAME_COLUMN_HELP";
    public static final String PERSON_LIST_NAME_COLUMN_WIDTH = "PERSON_LIST_NAME_COLUMN_WIDTH";
    public static final String PERSON_LIST_SURNAME_COLUMN_NAME = "PERSON_LIST_SURNAME_COLUMN_NAME";
    public static final String PERSON_LIST_SURNAME_COLUMN_HELP = "PERSON_LIST_SURNAME_COLUMN_HELP";
    public static final String PERSON_LIST_SURNAME_COLUMN_WIDTH = "PERSON_LIST_SURNAME_COLUMN_WIDTH";
    public static final String PERSON_LIST_SEARCH_NAME = "PERSON_LIST_SEARCH_NAME";
    public static final String PERSON_LIST_SEARCH_NAME_HELP = "PERSON_LIST_SEARCH_NAME_HELP";
    public static final String PERSON_ERROR_REPEATED_NAME = "PERSON_ERROR_REPEATED_NAME";
    public static final String DEFAULT_OPTION_NAME = "DEFAULT_OPTION_NAME";
    public static final String DEFAULT_OPTION_VALUE = "DEFAULT_OPTION_VALUE";
	public static final String DATABASE_NAME = "DATABASE_NAME";
    
    private Messages() {
    }

    
    public static I_CmsMessageBundle get() {
        return INSTANCE;
    }
    
    public String getBundleName() {
        return BUNDLE_NAME;
    }
}