package com.aclr.management.person;

import java.io.Serializable;

/**
 * Clase que representa un objeto de tipo persona.
 */
public class Person implements Serializable {

	/**
	 * Identificador unico de la persona.
	 */
	private int id = 0;

	/**
	 * Nombre de la persona.
	 */
	private String name = null;

	/**
	 * Apellido de la persona.
	 */
	private String surname = null;

	/**
	 * Constructor por defecto de la clase.
	 */
	public Person() {
		// nop
	}

	/**
	 * Constructor con parametros de la clase.
	 */
	public Person(final int id, final String name, final String surname) {
		super();
		this.id = id;
		this.name = name;
		this.surname = surname;
	}

	/**
	 * Metodo observador del atributo id.
	 */
	public int getId() {
		return id;
	}

	/**
	 * Metodo observador del atributo id.
	 */
	public void setId(final int id) {
		this.id = id;
	}

	/**
	 * Metodo observador del atributo name.
	 */
	public String getName() {
		return name;
	}

	/**
	 * Metodo observador del atributo name.
	 */
	public void setName(final String name) {
		this.name = name;
	}

	/**
	 * Metodo observador del atributo surname.
	 */
	public String getSurname() {
		return surname;
	}

	/**
	 * Metodo modificador del atributo surname.
	 */
	public void setSurname(String surname) {
		this.surname = surname;
	}

	@Override
	public int hashCode() {
		return this.id;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Person other = (Person) obj;
		if (id != other.id)
			return false;
		return true;
	}

	@Override
	public String toString() {
		return this.name + " " + this.surname + " (" + this.id + ")";
	}
}