package com.aclr.management.person;

import java.util.List;

/**
 * Interfaz que indica que operaciones puede realizar un objeto de tipo persona
 * sobre la BD.
 */
public interface PersonDao {
	
	/**
	 * Metodo que guarda en base de datos un objeto de tipo persona.
	 */
	void save(Person person);

	/**
	 * Metodo que actualiza en base de datos un objeto de tipo persona.
	 */
	void update(Person person);
	
	/**
	 * Metodo que borra de la base de datos un objeto de tipo persona.
	 */
	void delete(Person person);
	
	/**
	 * Metodo que busca un objeto de tipo persona dado su id.
	 */
	public Person find(int id);
	
	/**
	 * Metodo que obtiene todos los objetos de tipo persona de la BD.
	 */
    public List<Person> findAll();
}
